package cz.fidentis.analyst.comparison;

import cz.fidentis.analyst.mesh.core.MeshPoint;

import javax.vecmath.Vector3d;

public class ClosestVertices {
    private MeshPoint firstVertex;
    private MeshPoint secondVertex;
    private double distance;

    public ClosestVertices(MeshPoint firstVertex, MeshPoint secondVertex, double distance) {
        this.firstVertex = firstVertex;
        this.secondVertex = secondVertex;
        this.distance = distance;
    }

    public MeshPoint getFirstVertex() {
        return firstVertex;
    }

    public MeshPoint getSecondVertex() {
        return secondVertex;
    }

    public double getDistance() {
        return distance;
    }
}
